Page MenuHomePhabricator

Add a warning about choosing a date in the future
Closed, ResolvedPublic

Description

After T96917, it should be super easy to add new warnings and errors and such. Let's try adding a warning about the user inputting a file creation date that is in the future (it's not a hard error, the user might have the date misconfigured on their system, or the date might come from a timezone where it already is tomorrow).

Event Timeline

matmarex raised the priority of this task from to Normal.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 29 2015, 10:40 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Nov 5 2015, 6:30 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 5 2015, 6:30 PM

I will mentor this in #GCI2015

matmarex will mentor this task, as mentors must be community members already.

Sn1per claimed this task.Dec 7 2015, 9:43 PM
Sn1per added a subscriber: Sn1per.

Another year of Google-Code-In-2015!

Change 257760 had a related patch set uploaded (by Sn1per):
Warning when file date is in the future

https://gerrit.wikimedia.org/r/257760

matmarex changed the task status from Open to Stalled.Dec 9 2015, 3:27 AM

(Patch is great, but I realised that we really should do T120905 before merging it.)

matmarex closed this task as Resolved.Dec 20 2015, 1:46 AM
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.

Change 257760 merged by jenkins-bot:
Warning when file date is in the future

https://gerrit.wikimedia.org/r/257760